<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link href="https://bootswatch.com/4/minty/bootstrap.min.css" rel="stylesheet">
        {% block stylesheets %}{% endblock %}
        <style>
            .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
            .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
        </style>
        {% if form is defined %}
            {% form_theme form 'bootstrap_4_layout.html.twig' %}
        {% endif %}
    </head>
    <body>
        {# Si une session existe #}
        {% if app.user %}
            {% set user = app.user %}
        {% endif %}
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
            <a class="navbar-brand" href="{{ path('index') }}">Navbar</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarColor01">
                <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="{{ path('index') }}">Espace Perso<span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('offer') }}">Ajouter offre</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Offres</a>
                </li>
                {% if not app.user %}                               
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('register') }}">S'inscrire</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('login') }}">Se connecter</a>
                </li>
                {% else %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('company') }}">Entreprises</a>
                </li>                    
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('candidate') }}">Candidats</a>
                </li>             
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('logout') }}">Se déconnecter</a>
                </li>
                {% endif %}
                </ul>
                <form class="form-inline my-2 my-lg-0">
                <input class="form-control mr-sm-2" type="text" placeholder="Search">
                <button class="btn btn-secondary my-2 my-sm-0" type="submit">Search</button>
                </form>
            </div>
        </nav>
        {% block body %}{% endblock %}
        {% block javascripts %}{% endblock %}
    </body>
</html>
